Package org.eclipse.graphiti.ui.services

# Interface IExtensionManager

All Known Implementing Classes:
  `ExtensionManager`

public interface IExtensionManager
The Interface IExtensionManager.

## Method Summary

Modifier and Type
Method
Description
`IDiagramTypeProvider`
`createDiagramTypeProvider(String providerId)`
Creates a diagram type provider.
`IDiagramTypeProvider`
`createDiagramTypeProvider(Diagram diagram, String providerId)`
Create an instance of a diagram type provider (and also the feature provider) without having a diagram editor open.
`IFeatureProvider`
`createFeatureProvider(Diagram diagram)`
Create an instance of a feature provider (and also the diagram type provider) without having a diagram editor open.
`String`
`getDiagramTypeProviderId(String diagramTypeId)`
Gets the diagram type provider id.
`String[]`
`getDiagramTypeProviderIds(String diagramTypeId)`
Gets the diagram type provider id's.
`IDiagramType[]`
`getDiagramTypes()`
Gets all the registered diagram types.

## Method Details

### getDiagramTypeProviderIds

String[] getDiagramTypeProviderIds(String diagramTypeId)
Gets the diagram type provider id's.

Parameters:
  `diagramTypeId` - the diagram type id
Returns:
  provider id's of all the diagram type providers which can handle the given diagram type id.

### getDiagramTypeProviderId

String getDiagramTypeProviderId(String diagramTypeId)
Gets the diagram type provider id.

Parameters:
  `diagramTypeId` - the diagram type id
Returns:
  provider id of the diagram type providers which can handle the given diagram type id. If more then one diagram type providers available, the first one will be returned.

### createDiagramTypeProvider

IDiagramTypeProvider createDiagramTypeProvider(String providerId)
Creates a diagram type provider.

Parameters:
  `providerId` - the provider id
Returns:
  new instance of a diagram type provider
See Also:
  - `IDiagramTypeProvider`

### getDiagramTypes

IDiagramType[] getDiagramTypes()
Gets all the registered diagram types.

Returns:
  the registered diagram types
See Also:
  - `IDiagramType`

### createFeatureProvider

IFeatureProvider createFeatureProvider(Diagram diagram)
Create an instance of a feature provider (and also the diagram type provider) without having a diagram editor open. This instance can be used for the generation of diagrams in the background. All features which do not expect an open editor can be reused.

Parameters:
  `diagram` - The diagram on which the diagram type provider will work
Returns:
  new instance of a feature provider
See Also:
  - `IFeatureProvider`

### createDiagramTypeProvider

IDiagramTypeProvider createDiagramTypeProvider(Diagram diagram, String providerId)
Create an instance of a diagram type provider (and also the feature provider) without having a diagram editor open. This instance can be used for the generation of diagrams in the background. All features which do not expect an open editor can be reused.

Parameters:
  `diagram` - The diagram on which the diagram type provider will work
  `providerId` - Id of the diagram type provider which should be used
Returns:
  new instance of a diagram type provider
See Also:
  - `IDiagramTypeProvider`